Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1522619 - CVE-2017-1000211 lynx: Use after free in HTML.c:HTML_put_string() can lead to memory disclosure [fedora-26]
Summary: CVE-2017-1000211 lynx: Use after free in HTML.c:HTML_put_string() can lead to...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: lynx
Version: 26
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Kamil Dudka
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1522618 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-12-06 06:06 UTC by Sam Fowler
Modified: 2017-12-26 16:29 UTC (History)
1 user (show)

Fixed In Version: lynx-2.8.9-0.20.dev16.fc25 lynx-2.8.9-0.20.dev16.fc26
Doc Type: Release Note
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-26 16:29:17 UTC
Type: ---


Attachments (Terms of Use)

Description Sam Fowler 2017-12-06 06:06:26 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of fedora-26.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

Comment 1 Sam Fowler 2017-12-06 06:06:30 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1522617,1522619

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Kamil Dudka 2017-12-11 11:40:18 UTC
*** Bug 1522618 has been marked as a duplicate of this bug. ***

Comment 3 Kamil Dudka 2017-12-11 12:07:26 UTC
downstream commit:

https://src.fedoraproject.org/cgit/rpms/lynx.git/commit/?id=3d4f00de

Comment 4 Fedora Update System 2017-12-11 12:11:56 UTC
lynx-2.8.9-0.20.dev16.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-bf172b2035

Comment 5 Fedora Update System 2017-12-11 12:12:02 UTC
lynx-2.8.9-0.20.dev16.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-91b65c79c2

Comment 6 Fedora Update System 2017-12-11 19:10:21 UTC
lynx-2.8.9-0.20.dev16.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-91b65c79c2

Comment 7 Fedora Update System 2017-12-11 20:33:39 UTC
lynx-2.8.9-0.20.dev16.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-bf172b2035

Comment 8 Fedora Update System 2017-12-26 16:29:17 UTC
lynx-2.8.9-0.20.dev16.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.